Abstract renderer class.

### Hierarchy

- AbstractRenderer
  - ClassicRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId
- content
- suggest

### Methods

- appendContent
- appendSuggest
- decodeEntities
- getRenderable
- init
- render
- renderElement

## Constructors

### Protected constructor

- new AbstractRenderer(content: HTMLElement, suggest: HTMLElement): AbstractRenderer

- - Defined in lib/renderer/AbstractRenderer.ts:11

  #### Parameters

  - ##### content: HTMLElement

  - ##### suggest: HTMLElement

  #### Returns AbstractRenderer

## Properties

### Protected Optional channelId

channelId: undefined | string

- Defined in lib/renderer/AbstractRenderer.ts:11

### Protected content

content: HTMLElement

- Defined in lib/renderer/AbstractRenderer.ts:9

### Protected suggest

suggest: HTMLElement

- Defined in lib/renderer/AbstractRenderer.ts:10

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  - Defined in lib/renderer/AbstractRenderer.ts:72

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  - Defined in lib/renderer/AbstractRenderer.ts:79

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Private decodeEntities

- decodeEntities(text: string): string

- - Defined in lib/renderer/AbstractRenderer.ts:41

  Returns the html decoded message

  #### Parameters

  - ##### text: string

    to be decoded message

  #### Returns string

### Private getRenderable

- getRenderable(message: ISpecification): IRenderable

- - Defined in lib/renderer/AbstractRenderer.ts:57

  Returns the element by evaluating the message type.

  #### Parameters

  - ##### message: ISpecification

    the message

  #### Returns IRenderable

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  - Defined in lib/renderer/AbstractRenderer.ts:83

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  - Defined in lib/renderer/AbstractRenderer.ts:21

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Protected Abstract renderElement

- renderElement(element: IRenderable, containerType?: IStackeable): HTMLElement[]

- - Defined in lib/renderer/AbstractRenderer.ts:33

  Renders an incoming IRenderable

  #### Parameters

  - ##### element: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

Generated using TypeDoc